[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: requires(post) on coreutils



Jeremy Katz wrote:
On Wed, 2008-11-19 at 21:39 -0800, Jesse Keating wrote:
I just attempted to compose the Games spin for Fedora 10, and ran into a
number of packages that fail their %post scripts due to missing one
thing or another out of coreutils (such as ln, rm, file, etc..) and it
has me wondering what might have changed in recent time so that
coreutils wouldn't be installed earlier in the transaction.  This seems
like something that would have been noticed before, but maybe it's just
in the particular package set that the games spin has.

It's actually a pretty common phenomenon related to packagers thinking
they're "always" there because they are except in the case of new
installs.  coreutils is actually surprisingly late in install order and
so there are pretty frequent packages which pop up expecting otherwise
(and there always have been; I've been filing bugs about them for longer
than I like to remember :-)

Jeremy

We can look at binaries to see what libs they need, can we not look at %post scripts and figure out if coreutils is required?

--CjD


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]